MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031458Open CASCADE[OCCT] OCCT:Visualizationpublic2020-03-22 12:432020-03-28 13:48
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031458: Visualization - refine classes across Prs3d and StdPrs packages
DescriptionPrs3d and StdPrs packages have the following description (cut off from existing documentation):

- Prs3d provides: a presentation object, an attribute manager (color, width, etc.), generic objects.
- StdPrs is for specific geometries and topologies.
- DsgPrs is for dimensions, relations and trihedra.

There are several deviations within the actual class list, which is desired to be fixed.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0031401newkgv Visualization - revise Toolkits dependency graph 

-  Notes
(0091165)
git (administrator)
2020-03-22 13:26

Branch CR31458 has been created by kgv.

SHA-1: 485a6f71bbbaf81879bc05558c68a3e19c783c06


Detailed log of new commits:

Author: kgv
Date: Sat Mar 14 13:32:48 2020 +0300

    0031458: Visualization - refine classes across Prs3d and StdPrs packages
    
    Prs3d::GetDeflection() has been moved to StdPrs_ToolTriangulatedShape::GetDeflection().
    Prs3d_ShapeTool has been moved to StdPrs_ShapeTool.
    Code collecting free edges on Poly_Triangulation
    has been moved out from StdPrs_WFShape to Prs3d::AddFreeEdges().
    StdPrs_BndBox has been moved to Prs3d_BndBox.
    Geom_Transformation has been replaced by TopLoc_Datum3D within visualization classes.
    
    Select3D_SensitiveCircle constructor now takes gp_Circ instead of Geom_Circle.
    StdSelect_ViewerSelector3d has been moved to SelectMgr_ViewerSelector3d.
    Methods ::GetPoint3d() and ::ArrayBounds() has been moved
    from subclass Select3D_SensitiveCircle to the base class Select3D_SensitiveCurve.
    StdSelect_ViewerSelector3d::computeSensitivePrs() has been moved to SelectMgr::ComputeSensitivePrs().
    
    Removed unused declarations StdSelect_Prs, StdSelect_DisplayMode,
    StdSelect_SensitivityMode, StdSelect_TypeOfResult, SelectMgr_SOPtr, TColQuantity.
    
    Package Graphic3d has been moved from TKV3d to TKService.
(0091166)
git (administrator)
2020-03-22 13:51

Branch CR31458 has been updated forcibly by kgv.

SHA-1: aa33a5967ba3548066c621785fbc44515d40c5db
(0091168)
git (administrator)
2020-03-22 14:44

Branch CR31458 has been updated forcibly by kgv.

SHA-1: c1556a3cf4e8429716d39ea37696406d61764794
(0091170)
git (administrator)
2020-03-22 15:20

Branch CR31458 has been updated forcibly by kgv.

SHA-1: dce7955e80b8ed37e97756c73e1a86a82c2e8f46
(0091176)
git (administrator)
2020-03-22 20:10

Branch CR31458 has been updated forcibly by kgv.

SHA-1: 3089a6a86064e60ec9ac1e4986ad1cc0456517e8
(0091179)
kgv (developer)
2020-03-22 21:40

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31458-CR31458-KGV [^]
(0091184)
git (administrator)
2020-03-23 08:44

Branch CR31458 has been updated forcibly by kgv.

SHA-1: e0b19445bb798c13fe367e68b803a26df5eaf28d
(0091291)
git (administrator)
2020-03-27 09:29

Branch CR31458 has been updated forcibly by kgv.

SHA-1: 9075aabd23ff0728959237b1fb1bd6a14f6e944f
(0091292)
osa (developer)
2020-03-27 09:57

The patch was reviewed
(0091314)
bugmaster (administrator)
2020-03-28 13:34

Combination -
OCCT branch : IR-2020-03-27
master SHA - 420f5c868231b05a936c35a8f6a7aaf311cbad64
b063b8738ddd5eb1c5bbbdac861e8d2f7864961f
Products branch : IR-2020-03-27 SHA - 61a33c5381d589ae31e1bab6ea750b3fbf4915f6
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16866.29000000024 / 16846.320000000138 [+0.12%]
Products
Total CPU difference: 11324.27000000008 / 11306.210000000074 [+0.16%]
Windows-64-VC14:
OCCT
Total CPU difference: 18291.046875 / 18268.796875 [+0.12%]
Products
Total CPU difference: 13224.34375 / 13110.609375 [+0.87%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0091315)
git (administrator)
2020-03-28 13:46

Branch CR31458 has been deleted by inv.

SHA-1: 9075aabd23ff0728959237b1fb1bd6a14f6e944f

- Related Changesets
occt: master 7f24b768
Timestamp: 2020-03-14 10:32:48
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031458: Visualization - refine classes across Prs3d and StdPrs packages

Prs3d::GetDeflection() has been moved to StdPrs_ToolTriangulatedShape::GetDeflection().
Prs3d_ShapeTool has been moved to StdPrs_ShapeTool.
Code collecting free edges on Poly_Triangulation
has been moved out from StdPrs_WFShape to Prs3d::AddFreeEdges().
StdPrs_BndBox has been moved to Prs3d_BndBox.
Geom_Transformation has been replaced by TopLoc_Datum3D within visualization classes.

Select3D_SensitiveCircle constructor now takes gp_Circ instead of Geom_Circle.
StdSelect_ViewerSelector3d has been moved to SelectMgr_ViewerSelector3d.
Methods ::GetPoint3d() and ::ArrayBounds() has been moved
from subclass Select3D_SensitiveCircle to the base class Select3D_SensitiveCurve.
StdSelect_ViewerSelector3d::computeSensitivePrs() has been moved to SelectMgr::ComputeSensitivePrs().

Removed unused declarations StdSelect_Prs, StdSelect_DisplayMode,
StdSelect_SensitivityMode, StdSelect_TypeOfResult, SelectMgr_SOPtr, TColQuantity.

Package Graphic3d has been moved from TKV3d to TKService.
mod - adm/UDLIST Diff ] File ]
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - samples/ios/UIKitSample/UIKitSample/OcctViewer.mm Diff ] File ]
mod - samples/mfc/standard/Common/User_Cylinder.cxx Diff ] File ]
mod - samples/mfc/standard/Common/User_Cylinder.hxx Diff ] File ]
mod - src/AIS/AIS_Axis.cxx Diff ] File ]
mod - src/AIS/AIS_Circle.cxx Diff ] File ]
mod - src/AIS/AIS_ColoredShape.cxx Diff ] File ]
mod - src/AIS/AIS_ConnectedInteractive.cxx Diff ] File ]
mod - src/AIS/AIS_ConnectedInteractive.hxx Diff ] File ]
mod - src/AIS/AIS_Line.cxx Diff ] File ]
mod - src/AIS/AIS_Manipulator.cxx Diff ] File ]
mod - src/AIS/AIS_Manipulator.hxx Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedInteractive.cxx Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedInteractive.hxx Diff ] File ]
mod - src/AIS/AIS_Plane.cxx Diff ] File ]
mod - src/AIS/AIS_PlaneTrihedron.cxx Diff ] File ]
mod - src/AIS/AIS_Point.cxx Diff ] File ]
mod - src/AIS/AIS_PointCloud.cxx Diff ] File ]
mod - src/AIS/AIS_Shape.cxx Diff ] File ]
mod - src/AIS/AIS_Shape.hxx Diff ] File ]
mod - src/AIS/AIS_TexturedShape.cxx Diff ] File ]
mod - src/AIS/AIS_Trihedron.cxx Diff ] File ]
mod - src/AIS/AIS_Trihedron.hxx Diff ] File ]
mod - src/Font/FILES Diff ] File ]
mod - src/Font/Font_BRepFont.hxx Diff ] File ]
mod - src/Font/Font_BRepTextBuilder.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CStructure.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_StructureManager.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_StructureManager.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ZLayerSettings.hxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ShapeMesher.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_MeshEntityOwner.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_MeshEntityOwner.hxx Diff ] File ]
mod - src/MeshVS/MeshVS_MeshOwner.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_MeshOwner.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]
mod - src/Prs3d/FILES Diff ] File ]
mod - src/Prs3d/Prs3d.cxx Diff ] File ]
mod - src/Prs3d/Prs3d.hxx Diff ] File ]
add - src/Prs3d/Prs3d_BndBox.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_ShapeTool.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_ToolCylinder.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_ToolDisk.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_ToolQuadric.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_ToolSector.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_ToolSphere.hxx Diff ] File ]
mod - src/PrsDim/PrsDim_ConcentricRelation.cxx Diff ] File ]
mod - src/PrsDim/PrsDim_Dimension.cxx Diff ] File ]
mod - src/PrsDim/PrsDim_EqualDistanceRelation.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_Presentation.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_Presentation.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentationManager.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentationManager.hxx Diff ] File ]
mod - src/QABugs/QABugs_17.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveCircle.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveCircle.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveCurve.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveCurve.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoly.hxx Diff ] File ]
mod - src/SelectMgr/FILES Diff ] File ]
add - src/SelectMgr/SelectMgr.cxx Diff ] File ]
add - src/SelectMgr/SelectMgr.hxx Diff ] File ]
add - src/SelectMgr/SelectMgr_SelectionImageFiller.cxx Diff ] File ]
add - src/SelectMgr/SelectMgr_SelectionImageFiller.hxx Diff ] File ]
rm - src/SelectMgr/SelectMgr_SOPtr.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.hxx Diff ] File ]
add - src/SelectMgr/SelectMgr_ViewerSelector3d.cxx Diff ] File ]
add - src/SelectMgr/SelectMgr_ViewerSelector3d.hxx Diff ] File ]
mod - src/StdPrs/FILES Diff ] File ]
mod - src/StdPrs/StdPrs_BndBox.hxx Diff ] File ]
add - src/StdPrs/StdPrs_BRepFont.hxx Diff ] File ]
add - src/StdPrs/StdPrs_BRepTextBuilder.hxx Diff ] File ]
add - src/StdPrs/StdPrs_ShapeTool.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_ToolTriangulatedShape.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_ToolTriangulatedShape.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_WFShape.cxx Diff ] File ]
mod - src/StdSelect/FILES Diff ] File ]
mod - src/StdSelect/StdSelect.cxx Diff ] File ]
mod - src/StdSelect/StdSelect.hxx Diff ] File ]
rm - src/StdSelect/StdSelect_BRepOwner.lxx Diff ] File ]
mod - src/StdSelect/StdSelect_BRepSelectionTool.cxx Diff ] File ]
rm - src/StdSelect/StdSelect_DisplayMode.hxx Diff ] File ]
rm - src/StdSelect/StdSelect_IndexedDataMapOfOwnerPrs.hxx Diff ] File ]
rm - src/StdSelect/StdSelect_Prs.cxx Diff ] File ]
rm - src/StdSelect/StdSelect_Prs.hxx Diff ] File ]
rm - src/StdSelect/StdSelect_Prs.lxx Diff ] File ]
rm - src/StdSelect/StdSelect_SensitivityMode.hxx Diff ] File ]
mod - src/StdSelect/StdSelect_Shape.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_ShapeTypeFilter.hxx Diff ] File ]
rm - src/StdSelect/StdSelect_ShapeTypeFilter.lxx Diff ] File ]
rm - src/StdSelect/StdSelect_TypeOfResult.hxx Diff ] File ]
rm - src/StdSelect/StdSelect_ViewerSelector3d.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_ViewerSelector3d.hxx Diff ] File ]
rm - src/TColQuantity/FILES Diff ] File ]
rm - src/TColQuantity/TColQuantity_Array1OfLength.hxx Diff ] File ]
rm - src/TColQuantity/TColQuantity_Array2OfLength.hxx Diff ] File ]
rm - src/TColQuantity/TColQuantity_HArray1OfLength.hxx Diff ] File ]
rm - src/TColQuantity/TColQuantity_HArray2OfLength.hxx Diff ] File ]
mod - src/TKOpenGl/EXTERNLIB Diff ] File ]
mod - src/TKService/EXTERNLIB Diff ] File ]
mod - src/TKService/PACKAGES Diff ] File ]
mod - src/TKV3d/PACKAGES Diff ] File ]
mod - src/TopLoc/FILES Diff ] File ]
mod - src/TopLoc/TopLoc_Datum3D.hxx Diff ] File ]
rm - src/TopLoc/TopLoc_Datum3D.lxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_NamedShapeDriver.cxx Diff ] File ]
mod - src/V3d/V3d_CircularGrid.cxx Diff ] File ]
mod - src/V3d/V3d_Plane.cxx Diff ] File ]
mod - src/V3d/V3d_RectangularGrid.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_WFDeflectionShape.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_WFShape.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-03-22 12:43 kgv New Issue
2020-03-22 12:43 kgv Assigned To => kgv
2020-03-22 13:26 git Note Added: 0091165
2020-03-22 13:30 kgv Relationship added child of 0031401
2020-03-22 13:51 git Note Added: 0091166
2020-03-22 14:44 git Note Added: 0091168
2020-03-22 15:20 git Note Added: 0091170
2020-03-22 20:10 git Note Added: 0091176
2020-03-22 21:40 kgv Note Added: 0091179
2020-03-22 21:40 kgv Assigned To kgv => osa
2020-03-22 21:40 kgv Status new => resolved
2020-03-23 08:44 git Note Added: 0091184
2020-03-27 09:29 git Note Added: 0091291
2020-03-27 09:57 osa Note Added: 0091292
2020-03-27 09:57 osa Assigned To osa => bugmaster
2020-03-27 09:57 osa Status resolved => reviewed
2020-03-28 13:34 bugmaster Note Added: 0091314
2020-03-28 13:34 bugmaster Status reviewed => tested
2020-03-28 13:35 bugmaster Test case number => Not required
2020-03-28 13:36 bugmaster Changeset attached => occt master 7f24b768
2020-03-28 13:36 bugmaster Status tested => verified
2020-03-28 13:36 bugmaster Resolution open => fixed
2020-03-28 13:46 git Note Added: 0091315


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker